from Products.Archetypes.public import registerType
from Products.PlonePortlets.portlets.TemplatePortlet import TemplatePortlet
from Products.PlonePortlets.portlets.TemplatePortlet import TemplateSchema

LoginSchema = TemplateSchema.copy()

LoginSchema['title'].default = 'Log in'
LoginSchema['condition'].default = 'portal/portal_membership/isAnonymousUser'
LoginSchema['template'].default = 'portlet_login_contents'

class LoginPortlet(TemplatePortlet):
    """A class for Login Portlets."""

    schema = LoginSchema
    meta_type = 'LoginPortlet'
    archetype_name = 'Login Portlet'

registerType(LoginPortlet)
