"""
$Id$
"""

from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

from Products.Archetypes.public import *

from Products.PlonePortlets import config
from Products.PlonePortlets import permissions

registerDirectory('skins', config.GLOBALS)

def initialize(context):

    # Process our custom types
    from Products.PlonePortlets import portletClasses

    content_types, constructors, ftis = process_types(
        listTypes(config.PROJECTNAME),
        config.PROJECTNAME)

    utils.ContentInit(
        config.PROJECTNAME + ' Content',
        content_types = content_types,
        permission = permissions.ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti = ftis,
    ).initialize(context)

    from Products.PlonePortlets import PortletsTool

    utils.ToolInit(
        'Portlets Tool',
        tools = (PortletsTool.PortletsTool, ),
        product_name = 'PlonePortlets',
        icon = 'tool.gif'
    ).initialize(context)
