from Products.Archetypes.public import *
from Products.PlonePortlets.BasePortlet import Portlet
from Products.PlonePortlets.BasePortlet import PortletSchema

TemplateSchema = PortletSchema + Schema((

    StringField('template',
        required = 0,
    ),

))

class TemplatePortlet(Portlet):
    """A class for Template Portlets."""

    schema = TemplateSchema
    meta_type = 'TemplatePortlet'
    archetype_name = 'Template Portlet'

    def getPortletEmitter(self):
        """Returns a template to render the contents of the portlet."""
        return self.getTemplate() or 'portlet_default_contents'

    def _fetchPortletData(self):
        """Gets the content."""
        return 'default'

registerType(TemplatePortlet)
