from Products.Archetypes.public import *
from Products.PlonePortlets.BasePortlet import Portlet
from Products.PlonePortlets.BasePortlet import PortletSchema

WorklistsSchema = PortletSchema.copy()

class WorklistsPortlet(Portlet):
    """A class for Worklists Portlets."""

    schema = WorklistsSchema
    meta_type = 'WorklistsPortlet'
    archetype_name = 'Worklists Portlet'

    def getPortletEmitter(self):
        """Returns a template to render the contents of the portlet."""
        return 'portlet_worklist_contents'

    def _fetchPortletData(self):
        """Gets the content."""
        return self.aq_parent.my_worklist()

registerType(WorklistsPortlet)
